require vmmTbl

epicsEnvSet("IPADDR", "192.168.50.2")
epicsEnvSet("IPPORT", "65535")
epicsEnvSet("P", "LAB-B02:")
epicsEnvSet("DIS", "NDet-")
epicsEnvSet("RMM-DEV", "$(DIS)RMM-001:")

drvAsynIPPortConfigure("L0", "$(IPADDR):$(IPPORT) UDP", 0, 0, 1)

#asynSetTraceMask(   L0, -1, 0x9)
#asynSetTraceIOMask( L0, -1, 0x4)
#asynSetTraceInfoMask ( L0, -1, 0x9)

RMMConfig("RMM", "$(IPADDR)", "$(IPPORT)", "$(E3_CMD_TOP)/config_file/lab_testbed.json")

#VMMTblConfig("RMM portName", "VMMPortName", ring, number_hybrids)
VMMTblConfig("RMM", "VMM", 0, 2)

epicsEnvSet("VMM-DEV", "$(DIS)VMM-")
epicsEnvSet("HYB-DEV", "$(DIS)VMMHYB-")
epicsEnvSet("VMM3A-DEV", "$(DIS)VMM3A-")

dbLoadRecords("${asyn_DIR}/db/asynRecord.db","P=asyn:,R=Test,PORT=L0,ADDR=0,IMAX=0,OMAX=0")
dbLoadRecords($(rmm_DB)/rmm.db, "P=$(P), R=$(RMM-DEV), PORT=RMM, ADDR=0, TIMEOUT=1")
dbLoadRecords($(rmm_DB)/rmm_sensors.db, "P=$(P), R=$(RMM-DEV), PORT=RMM, ADDR=0, TIMEOUT=1")
dbLoadRecords($(rmm_DB)/ring.db, "P=$(P), R=$(RMM-DEV), ADDR=0, PORT=RMM, ADDR=0, TIMEOUT=1")

dbLoadRecords("$(rmm_DB)/rmm_packets.template", "P=$(P), R=$(RMM-DEV), PORT=RMM, RING=0, NODE=0, ADDR=0, TIMEOUT=1")
dbLoadRecords("$(rmm_DB)/topology.template", "P=$(P), R=$(RMM-DEV), PORT=RMM, RING=0, NODE=0, ADDR=0, TIMEOUT=1")

epicsEnvSet("RING", "00")
epicsEnvSet("R-VMM", "$(VMM-DEV)$(RING):")
                                                  # R = NDet-VMM-<RingNumber#2>:
dbLoadRecords("$(vmmTbl_DB)/vmm_tbl.db", "P=$(P), R=$(R-VMM), PORT=VMM, RING=0, NODE=0, ADDR=0, TIMEOUT=1")
                                                  # 'R' = NDet-VMM-<RingNumber#2><HybNumber#1>:
dbLoadRecords("$(vmmTbl_DB)/hybrid.db", "P=$(P), R=$(HYB-DEV)$(RING), VMMPREFIX=$(P)$(R-VMM), PORT=VMM, HYB=0, ADDR=0, TIMEOUT=1")
dbLoadRecords("$(vmmTbl_DB)/hybrid.db", "P=$(P), R=$(HYB-DEV)$(RING), VMMPREFIX=$(P)$(R-VMM), PORT=VMM, HYB=1, ADDR=0, TIMEOUT=1")

                                                   # 'R' = NDet-VMM-<RingNumber#2><HybNumber#1><VmmNumber#1>
dbLoadRecords("$(vmmTbl_DB)/channels.db", "P=$(P), R=$(VMM3A-DEV)$(RING), VMMPREFIX=$(P)$(R-VMM), HYBR=$(HYB-DEV)$(RING), HYB=0, VMM=0, C=:, PORT=VMM, ADDR=0, TIMEOUT=1")
dbLoadRecords("$(vmmTbl_DB)/channels.db", "P=$(P), R=$(VMM3A-DEV)$(RING), VMMPREFIX=$(P)$(R-VMM), HYBR=$(HYB-DEV)$(RING), HYB=0, VMM=1, C=:, PORT=VMM, ADDR=0, TIMEOUT=1")
dbLoadRecords("$(vmmTbl_DB)/channels.db", "P=$(P), R=$(VMM3A-DEV)$(RING), VMMPREFIX=$(P)$(R-VMM), HYBR=$(HYB-DEV)$(RING), HYB=1, VMM=0, C=:, PORT=VMM, ADDR=0, TIMEOUT=1")
dbLoadRecords("$(vmmTbl_DB)/channels.db", "P=$(P), R=$(VMM3A-DEV)$(RING), VMMPREFIX=$(P)$(R-VMM), HYBR=$(HYB-DEV)$(RING), HYB=1, VMM=1, C=:, PORT=VMM, ADDR=0, TIMEOUT=1")

iocInit()

